Bug 861892 - samba4's wbclient/smbclient provides need to be filtered to avoid confusion with samba's wbclient/smbclient provides
samba4's wbclient/smbclient provides need to be filtered to avoid confusion w...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: samba4 (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Andreas Schneider
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 05:16 EDT by Alexander Bokovoy
Modified: 2013-02-21 03:36 EST (History)
4 users (show)

See Also:
Fixed In Version: samba4-4.0.0-30.el6.rc2
Doc Type: Bug Fix
Doc Text:
internal
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 03:36:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add --with-winbind-socket-dir option (3.41 KB, patch)
2012-10-01 05:17 EDT, Alexander Bokovoy
no flags Details | Diff

  None (edit)
Description Alexander Bokovoy 2012-10-01 05:16:20 EDT
I'm working on python-wbclient and testing it on RHEL6.4.

First thing I did were winbindd's ping, and interface/winbind details. Running them I've found that we need to fix paths to winbind:

Samba 3.6 expects winbind's pipe in /var/run/winbindd
Samba 4.0 expects winbind's pipe in /var/run/samba/winbindd

libwbclient (from 3.6) expects winbind's pipe in /var/run/winbindd, so it is unable to work with FreeIPA server setup.

Attached patch fixes the issue by moving samba4's winbindd pipe into /var/run/winbindd.
Comment 1 Alexander Bokovoy 2012-10-01 05:17:15 EDT
Created attachment 619696 [details]
add --with-winbind-socket-dir option
Comment 3 Andreas Schneider 2012-10-01 06:06:49 EDT
You can't use libwbclient from a Samba 3.x release to talk to a winbind from Samba 4.x release. The winbind library implements the winbind protocol. This means the library NEEDS to match the winbind version!
Comment 4 Alexander Bokovoy 2012-10-01 06:26:12 EDT
As discussed with Andreas on IRC, this is expected and should be solved by linking against samba4-provided libwbclient library. I'll do that.

However, the problem here is in automatically generated dependencies to libwbclient.so.0, provided by samba-winbind-clients.

samba4-winbind-clients filters out libwbclient.so.0 autogenerated provides in order to avoid conflicts with samba-winbind-client. However, ipa-server-trust-ad subpackage contains code that links against samba4's version of libwbclient and since that internal version is placed in (on x86_64) /usr/lib64/samba/libwbclient.so.0, even with RPATH set rpm will automatically generate dependency to libwbclient.so.0()(64bit). This is confusing as it will then pull in wrong package.

Since we have explicit dependency in ipa-server-trust-ad to samba4-libs, the generated libwbclient.so.0 dependency is not needed.

However, samba4-clients pulls in libsmbclient (built from samba 3.6) which pulls in libwbclient.so.0, from samba-winbind-clients. So this is again will not work.
Comment 5 Alexander Bokovoy 2012-10-04 05:47:55 EDT
Changing bug title to reflect actual problem as per comment 4
Comment 6 Andreas Schneider 2012-10-04 05:50:13 EDT
I will add a line for that.
Comment 8 Namita Soman 2013-01-25 10:29:26 EST
Please add steps to verify
Comment 9 Namita Soman 2013-01-25 11:35:32 EST
Took steps below to verify - but not sure of results:

#  rpm -qR samba4-winbind-clients| grep libsmbclient
<nothing listed>

#  rpm -qR samba4-winbind-clients| grep libwbclient
libwbclient.so.0(WBCLIENT_0.10)(64bit)  
libwbclient.so.0(WBCLIENT_0.9)(64bit)  

#  rpm -qR samba4-winbind-clients| grep libnetapi
<nothing listed>
Comment 10 Namita Soman 2013-01-28 20:28:31 EST
when verifying https://bugzilla.redhat.com/show_bug.cgi?id=886157, verified that /var/run/samba/winbindd/pipe does not exist, and instead it is at /var/run/winbindd/pipe

when verifying https://bugzilla.redhat.com/show_bug.cgi?id=895718, verified provides list
Comment 11 Andreas Schneider 2013-01-29 08:49:10 EST
libsmbclient and libnetapi are part of the samba4-libs package. You can also confirm that it is working by installing the "libsmbclient package" and samba4-libs.

The output of 'rpm -qR samba4-winbind-clients| grep libwbclient' looks correct. It only includes version symbols of libwbclient.
Comment 12 Andreas Schneider 2013-01-29 11:16:06 EST
The easiest way to test this is:

yum install samba-common samba-winbind-client libsmbclient samba4-libs
Comment 13 Namita Soman 2013-01-29 11:20:07 EST
verified using steps below:
# rpm -qa | grep samba
samba-common-3.6.9-151.el6.i686
samba-winbind-3.6.9-151.el6.i686
samba4-libs-4.0.0-55.el6.rc4.i686
samba-winbind-clients-3.6.9-151.el6.i686

# rpm -qa | grep bclient
libsmbclient-3.6.9-151.el6.i686

samba-common samba-winbind-client libsmbclient and samba4-libs ARE installable at the same time
Comment 14 errata-xmlrpc 2013-02-21 03:36:29 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0506.html

Note You need to log in before you can comment on or make changes to this bug.